/* Styles for the top navigation's mobile menus */
/* ************************************************************* */

#main-header .et_mobile_menu li li {
    padding-left: 0;
}

#main-header #et_mobile_nav_menu #mobile_menu {
    max-height: 80vh;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    border-top: 0px;
    border-bottom-left-radius: 3px;
    border-bottom-right-radius: 3px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
}

#page-container #main-header .et_mobile_menu li ul.sub-menu,
#page-container .et_pb_menu .et_mobile_menu li ul.sub-menu,
.et_pb_fullwidth_menu #page-container .et_mobile_menu li ul.sub-menu {
    max-height: 0;
    height: auto;
    overflow: hidden;
    visibility: hidden;
    opacity: 0;
    padding-left: 0;
    transition: all 0.3s ease;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
}

#page-container #main-header .et_mobile_menu li ul.sub-menu.show,
#page-container .et_pb_menu .et_mobile_menu li ul.sub-menu.show,
.et_pb_fullwidth_menu #page-container .et_mobile_menu li ul.sub-menu.show {
    max-height: none;
    height: auto;
    overflow: visible;
    visibility: visible;
    opacity: 1;
    transition: all 0.3s ease;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
}

@media (min-width: 981px) {
    #main-header #et_mobile_nav_menu .nav-cta-button.hide-on-mobile {
        display: block !important;
    }
}

@media (max-width: 980px) {
    #main-header #et_mobile_nav_menu .nav-cta-button.hide-on-mobile {
        display: none !important;
    }
}

#main-header #et_mobile_nav_menu #mobile_menu li.get-started-button,
#main-header #et_mobile_nav_menu #mobile_menu li.get-demo-button {
    text-align: center;
}

#main-header #et_mobile_nav_menu #mobile_menu li.get-started-button a,
#main-header #et_mobile_nav_menu #mobile_menu li.get-demo-button a {
    border: 2px solid #fcba00;
    border-radius: 0.375rem;
    font-weight: 600;
    text-align: center;
    color: black;
    opacity: 1;
    font-size: 0.875rem !important;
    display: inline-block;
    width: 60%;
}

#main-header #et_mobile_nav_menu #mobile_menu li.get-demo-button a {
    display: inline-block;
    background-color: var(--white);
    cursor: pointer;
    border-radius: 0.375rem;
    padding: 0.5rem 1.5rem !important;
    line-height: 1.25rem;
    margin-top: 1rem;
}

#main-header #et_mobile_nav_menu #mobile_menu li.get-demo-button a:hover {
    background-color: #feeebf;
    color: var(--text-gray);
    opacity: 1;
    border-color: #e3a700;
}

#main-header #et_mobile_nav_menu #mobile_menu li.get-started-button a {
    background-color: #fcba00;
    font-size: 0.875rem;
    margin-top: 1rem;
}

#main-header #et_mobile_nav_menu #mobile_menu li.get-started-button a:hover {
    background-color: #e3a700;
    color: var(--black);
    opacity: 1;
    border-color: #e3a700;
}

#page-container #main-header,
#page-container #main-header.et-fixed-header {
    position: fixed;
}

#page-container #main-header ul#mobile_menu {
    top: 100%;
}

.et_header_style_left #et-top-navigation .mobile_menu_bar,
.et_header_style_left #et-top-navigation #et_mobile_nav_menu .mobile_menu_bar {
    padding-bottom: 0px;
}

#main-header #et_mobile_nav_menu #mobile_menu > li.menu-item a.keyboard-outline {
    outline-color: var(--blue-500) !important;
    position: relative;
    z-index: 9999;
}

#main-header #et_mobile_nav_menu #mobile_menu li.menu-item > a.inner-link,
#main-header #et_mobile_nav_menu #mobile_menu li.menu-item > div.no-link {
    background-color: var(--white);
    font-weight: 400;
    font-size: 0.875rem;
    color: var(--text-gray);
}

#main-header #et_mobile_nav_menu #mobile_menu > li ul.sub-menu .link-icon img {
    max-width: 1.5rem;
    width: 1.5rem;
    height: auto;
    max-height: 1.25rem;
}

#main-header #et_mobile_nav_menu #mobile_menu > li.menu-item-has-children > a {
    position: relative;
}

#main-header #et_mobile_nav_menu #mobile_menu > li.menu-item-has-children > a:after {
    content: "⌄";
    display: block;
    margin-left: 0.5rem;
    position: absolute;
    right: 0.5rem;
    top: 1rem;
    font-size: 1.875rem;
    color: #949494;
    transition: all linear 0.3s;
    opacity: 1;
    line-height: 0;
    transform: rotate(0deg) scaleY(0.75);
    -webkit-transform: rotate(0deg) scaleY(0.75);
    -moz-transform: rotate(0deg) scaleY(0.75);
    -ms-transform: rotate(0deg) scaleY(0.75);
    -o-transform: rotate(0deg) scaleY(0.75);
}

#main-header #et_mobile_nav_menu #mobile_menu > li.menu-item-has-children:has(ul.sub-menu.show) > a:after {
    color: var(--black);
    top: 1.5rem;
    transform: rotate(-180deg) scaleY(0.75);
    -webkit-transform: rotate(-180deg) scaleY(0.75);
    -moz-transform: rotate(-180deg) scaleY(0.75);
    -ms-transform: rotate(-180deg) scaleY(0.75);
    -o-transform: rotate(-180deg) scaleY(0.75);
}

/* #main-header #et_mobile_nav_menu #mobile_menu ul.sub-menu > li.menu-item-has-children > a:after {
    transform: scaleX(-1) scaleY(-0.75) translateY(-10px) !important;
    -webkit-transform: scaleX(-1) scaleY(-0.75) translateY(-10px) !important;
    -moz-transform: scaleX(-1) scaleY(-0.75) translateY(-10px) !important;
    -ms-transform: scaleX(-1) scaleY(-0.75) translateY(-10px) !important;
    -o-transform: scaleX(-1) scaleY(-0.75) translateY(-10px) !important;
} */

#main-header #et_mobile_nav_menu #mobile_menu > li ul.sub-menu.cta-enabled .inner-link .link-icon img {
    margin-top: 4px;
}

#main-header #et_mobile_nav_menu #mobile_menu > li ul.sub-menu.cta-enabled .inner-link {
    display: grid;
    grid-template-columns: 24px 1fr;
    column-gap: 10px;
}

#main-header #et_mobile_nav_menu #mobile_menu li.menu-item:not(.nav-cta-button) a,
#main-header #et_mobile_nav_menu #mobile_menu li.menu-item.wpml-ls-current-language ul li,
#main-header #et_mobile_nav_menu #mobile_menu div.no-link {
    border-bottom: 1px solid var(--gray-200);
}

#main-header #et_mobile_nav_menu #mobile_menu > li.menu-item:not(.nav-cta-button) a {
    padding-top: 0.5rem !important;
    padding-bottom: 0.5rem !important;
    padding-left: .625rem;
    padding-right: .625rem;
    background-color: var(--white);
    color: var(--text-gray) !important;
    opacity: 1;
}

#main-header #et_mobile_nav_menu #mobile_menu > li.menu-item:not(.nav-cta-button) a:hover,
#main-header #et_mobile_nav_menu #mobile_menu > li.menu-item-has-children a.top-menu-tab:hover,
#main-header #et_mobile_nav_menu #mobile_menu > li.menu-item:not(.nav-cta-button) a.inner-link:hover {
    opacity: 1;
    background-color: var(--blue-100);
    color: var(--black) !important;
}

#main-header #et_mobile_nav_menu #mobile_menu > li ul.sub-menu.cta-enabled .inner-link .link-body .link-title {
    font-size: 0.875rem;
    font-weight: 600;
    line-height: 140%;
    letter-spacing: 0.28px;
    color: var(--text-gray);
}

#main-header #et_mobile_nav_menu #mobile_menu > li ul.sub-menu.cta-enabled .inner-link .link-body .link-description {
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 400;
    line-height: 125%;
    letter-spacing: 0.24px;
    color: var(--gray-600);
}

#main-header #et_mobile_nav_menu #mobile_menu > li.our_solutions ul.sub-menu li.solutions-title .inner-link,
#main-header #et_mobile_nav_menu #mobile_menu > li.our_solutions ul.sub-menu li.solutions-title .no-link {
    display: flex;
    flex-direction: row;
    gap: .625rem;
    font-weight: 700;
}

#main-header #et_mobile_nav_menu #mobile_menu > li.our_solutions ul.sub-menu li.solutions-title div.no-link {
    padding: .5rem .25rem !important;
}

#main-header #et_mobile_nav_menu #mobile_menu > li.our_solutions ul.sub-menu li.solutions-title a.inner-link.hover,
#main-header #et_mobile_nav_menu #mobile_menu > li.our_solutions ul.sub-menu li.solutions-title a.inner-link:hover.hover {
    padding: .5rem .25rem !important;
}

#main-header #et_mobile_nav_menu #mobile_menu > li.our_solutions ul.sub-menu li.solutions-title a.inner-link .link-title:after {
    content: "➔";
    display: inline-block;
    margin-left: .5rem;
    border: none;
    transition: color .2s linear;
    font-size: .875rem;
    font-weight: 600;
    color: var(--blue-500);
    opacity: 1;
}

#main-header #et_mobile_nav_menu #mobile_menu > li.about_us > ul.sub-menu {
    padding-left: 0.5rem;
}

#main-header #et_mobile_nav_menu #mobile_menu > li.about_us > ul.sub-menu a {
    font-weight: 400;
}

@media (min-width: 980px) {
    #main-header #et-top-navigation #et_mobile_nav_menu {
        display: none !important;
    }
}

@media (max-width: 979px) {
    #main-header #et-top-navigation #et_mobile_nav_menu {
        display: block !important;
        height: 100%;
    }

    #main-header #et-top-navigation #et_mobile_nav_menu .mobile_nav {
        height: 100%;
    }

    #main-header #et-top-navigation #et_mobile_nav_menu span.mobile_menu_bar.mobile_menu_bar_toggle {
        top: calc(50% - (32px / 2));
    }
}